Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPOConvert.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPOConvert.Designer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPOConvert.Designer.cs	(revision 302)
@@ -0,0 +1,273 @@
+﻿namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmPOConvert
+    {
+        /// <summary>
+        /// Required designer variable.
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// Clean up any resources being used.
+        /// </summary>
+        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows Form Designer generated code
+
+        /// <summary>
+        /// Required method for Designer support - do not modify
+        /// the contents of this method with the code editor.
+        /// </summary>
+        private void InitializeComponent()
+        {
+            this.btnDataEntry = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
+            this.label1 = new System.Windows.Forms.Label();
+            this.label2 = new System.Windows.Forms.Label();
+            this.lblCount01 = new System.Windows.Forms.Label();
+            this.label4 = new System.Windows.Forms.Label();
+            this.lblCount02 = new System.Windows.Forms.Label();
+            this.label3 = new System.Windows.Forms.Label();
+            this.lblCount03 = new System.Windows.Forms.Label();
+            this.label5 = new System.Windows.Forms.Label();
+            this.lblCount04 = new System.Windows.Forms.Label();
+            this.label6 = new System.Windows.Forms.Label();
+            this.lblCount05 = new System.Windows.Forms.Label();
+            this.label8 = new System.Windows.Forms.Label();
+            this.lblCount06 = new System.Windows.Forms.Label();
+            this.SuspendLayout();
+            // 
+            // btnDataEntry
+            // 
+            this.btnDataEntry.BackColor = System.Drawing.Color.Green;
+            this.btnDataEntry.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnDataEntry.ForeColor = System.Drawing.Color.White;
+            this.btnDataEntry.Location = new System.Drawing.Point(294, 315);
+            this.btnDataEntry.Name = "btnDataEntry";
+            this.btnDataEntry.Size = new System.Drawing.Size(120, 30);
+            this.btnDataEntry.TabIndex = 51;
+            this.btnDataEntry.Text = "実　行";
+            this.btnDataEntry.UseVisualStyleBackColor = false;
+            this.btnDataEntry.Click += new System.EventHandler(this.btnDataEntry_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(420, 315);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 53;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // label1
+            // 
+            this.label1.Anchor = System.Windows.Forms.AnchorStyles.Top;
+            this.label1.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
+            this.label1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label1.ForeColor = System.Drawing.Color.Black;
+            this.label1.Location = new System.Drawing.Point(40, 10);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(500, 20);
+            this.label1.TabIndex = 54;
+            this.label1.Text = "注文書データ変換";
+            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // label2
+            // 
+            this.label2.AutoSize = true;
+            this.label2.ForeColor = System.Drawing.Color.White;
+            this.label2.Location = new System.Drawing.Point(126, 52);
+            this.label2.Name = "label2";
+            this.label2.Size = new System.Drawing.Size(110, 16);
+            this.label2.TabIndex = 55;
+            this.label2.Text = "対象台帳行数";
+            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            // 
+            // lblCount01
+            // 
+            this.lblCount01.BackColor = System.Drawing.Color.White;
+            this.lblCount01.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblCount01.ForeColor = System.Drawing.Color.Black;
+            this.lblCount01.Location = new System.Drawing.Point(251, 50);
+            this.lblCount01.Name = "lblCount01";
+            this.lblCount01.Size = new System.Drawing.Size(110, 20);
+            this.lblCount01.TabIndex = 55;
+            this.lblCount01.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
+            // 
+            // label4
+            // 
+            this.label4.AutoSize = true;
+            this.label4.ForeColor = System.Drawing.Color.White;
+            this.label4.Location = new System.Drawing.Point(126, 86);
+            this.label4.Name = "label4";
+            this.label4.Size = new System.Drawing.Size(93, 16);
+            this.label4.TabIndex = 55;
+            this.label4.Text = "処理済行数";
+            this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            // 
+            // lblCount02
+            // 
+            this.lblCount02.BackColor = System.Drawing.Color.White;
+            this.lblCount02.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblCount02.ForeColor = System.Drawing.Color.Black;
+            this.lblCount02.Location = new System.Drawing.Point(251, 84);
+            this.lblCount02.Name = "lblCount02";
+            this.lblCount02.Size = new System.Drawing.Size(110, 20);
+            this.lblCount02.TabIndex = 55;
+            this.lblCount02.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
+            // 
+            // label3
+            // 
+            this.label3.AutoSize = true;
+            this.label3.ForeColor = System.Drawing.Color.White;
+            this.label3.Location = new System.Drawing.Point(126, 120);
+            this.label3.Name = "label3";
+            this.label3.Size = new System.Drawing.Size(93, 16);
+            this.label3.TabIndex = 55;
+            this.label3.Text = "変換済行数";
+            this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            // 
+            // lblCount03
+            // 
+            this.lblCount03.BackColor = System.Drawing.Color.White;
+            this.lblCount03.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblCount03.ForeColor = System.Drawing.Color.Black;
+            this.lblCount03.Location = new System.Drawing.Point(251, 118);
+            this.lblCount03.Name = "lblCount03";
+            this.lblCount03.Size = new System.Drawing.Size(110, 20);
+            this.lblCount03.TabIndex = 55;
+            this.lblCount03.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
+            // 
+            // label5
+            // 
+            this.label5.AutoSize = true;
+            this.label5.ForeColor = System.Drawing.Color.White;
+            this.label5.Location = new System.Drawing.Point(126, 154);
+            this.label5.Name = "label5";
+            this.label5.Size = new System.Drawing.Size(93, 16);
+            this.label5.TabIndex = 55;
+            this.label5.Text = "支払列変換";
+            this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            // 
+            // lblCount04
+            // 
+            this.lblCount04.BackColor = System.Drawing.Color.White;
+            this.lblCount04.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblCount04.ForeColor = System.Drawing.Color.Black;
+            this.lblCount04.Location = new System.Drawing.Point(251, 152);
+            this.lblCount04.Name = "lblCount04";
+            this.lblCount04.Size = new System.Drawing.Size(110, 20);
+            this.lblCount04.TabIndex = 55;
+            this.lblCount04.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
+            // 
+            // label6
+            // 
+            this.label6.AutoSize = true;
+            this.label6.ForeColor = System.Drawing.Color.White;
+            this.label6.Location = new System.Drawing.Point(126, 188);
+            this.label6.Name = "label6";
+            this.label6.Size = new System.Drawing.Size(93, 16);
+            this.label6.TabIndex = 55;
+            this.label6.Text = "明細行変換";
+            this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            // 
+            // lblCount05
+            // 
+            this.lblCount05.BackColor = System.Drawing.Color.White;
+            this.lblCount05.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblCount05.ForeColor = System.Drawing.Color.Black;
+            this.lblCount05.Location = new System.Drawing.Point(251, 186);
+            this.lblCount05.Name = "lblCount05";
+            this.lblCount05.Size = new System.Drawing.Size(110, 20);
+            this.lblCount05.TabIndex = 55;
+            this.lblCount05.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
+            // 
+            // label8
+            // 
+            this.label8.AutoSize = true;
+            this.label8.ForeColor = System.Drawing.Color.White;
+            this.label8.Location = new System.Drawing.Point(126, 222);
+            this.label8.Name = "label8";
+            this.label8.Size = new System.Drawing.Size(93, 16);
+            this.label8.TabIndex = 55;
+            this.label8.Text = "支払行変換";
+            this.label8.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            // 
+            // lblCount06
+            // 
+            this.lblCount06.BackColor = System.Drawing.Color.White;
+            this.lblCount06.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblCount06.ForeColor = System.Drawing.Color.Black;
+            this.lblCount06.Location = new System.Drawing.Point(251, 220);
+            this.lblCount06.Name = "lblCount06";
+            this.lblCount06.Size = new System.Drawing.Size(110, 20);
+            this.lblCount06.TabIndex = 55;
+            this.lblCount06.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
+            // 
+            // FrmPOConvert
+            // 
+            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(580, 357);
+            this.Controls.Add(this.lblCount06);
+            this.Controls.Add(this.label8);
+            this.Controls.Add(this.lblCount05);
+            this.Controls.Add(this.label6);
+            this.Controls.Add(this.lblCount04);
+            this.Controls.Add(this.label5);
+            this.Controls.Add(this.lblCount03);
+            this.Controls.Add(this.label3);
+            this.Controls.Add(this.lblCount02);
+            this.Controls.Add(this.label4);
+            this.Controls.Add(this.lblCount01);
+            this.Controls.Add(this.label2);
+            this.Controls.Add(this.label1);
+            this.Controls.Add(this.btnDataEntry);
+            this.Controls.Add(this.btnEnd);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
+            this.KeyPreview = true;
+            this.MaximizeBox = false;
+            this.Name = "FrmPOConvert";
+            this.ShowIcon = false;
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmPOConvert_FormClosing);
+            this.Load += new System.EventHandler(this.FrmPOConvert_Load);
+            this.ResumeLayout(false);
+            this.PerformLayout();
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Button btnDataEntry;
+        private System.Windows.Forms.Button btnEnd;
+        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.Label label2;
+        private System.Windows.Forms.Label lblCount01;
+        private System.Windows.Forms.Label label4;
+        private System.Windows.Forms.Label lblCount02;
+        private System.Windows.Forms.Label label3;
+        private System.Windows.Forms.Label lblCount03;
+        private System.Windows.Forms.Label label5;
+        private System.Windows.Forms.Label lblCount04;
+        private System.Windows.Forms.Label label6;
+        private System.Windows.Forms.Label lblCount05;
+        private System.Windows.Forms.Label label8;
+        private System.Windows.Forms.Label lblCount06;
+    }
+}
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPOConvert.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPOConvert.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPOConvert.cs	(revision 302)
@@ -0,0 +1,335 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Diagnostics;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+using System.Linq;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.CustomControls;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmPOConvert : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        #endregion
+
+        #region 変数
+        #endregion
+
+        #region プロパティ
+
+        #endregion
+
+        #region コンストラクタ
+        public FrmPOConvert()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmPOConvert_Load(object sender, EventArgs e)
+        {
+            try
+            {
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region ×ボタン
+        /// <summary>
+        /// ×ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmPOConvert_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            try
+            {
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 終了ボタン
+        /// <summary>
+        /// 終了ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region 登録ボタン
+        /// <summary>
+        /// 登録ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            IOConstructionLedgerDetail LedgerDDB = new IOConstructionLedgerDetail();
+            IOPurchaseOrderDetail PurOrderDDB = new IOPurchaseOrderDetail();
+            IOConstructionLedgerExcute ExecDB = new IOConstructionLedgerExcute();
+            try
+            {
+                LedgerDDB.connect(); LedgerDDB.beginTran();
+                PurOrderDDB.connect(); PurOrderDDB.beginTran();
+                ExecDB.connect(); ExecDB.beginTran();
+                
+                if (!ConvertProc1(LedgerDDB, PurOrderDDB))
+                {
+                    LedgerDDB.rollback();
+                    PurOrderDDB.rollback();
+                    ExecDB.rollback();
+                    return;
+                }
+
+                if (!ConvertProc2(ExecDB, LedgerDDB))
+                {
+                    LedgerDDB.rollback();
+                    PurOrderDDB.rollback();
+                    ExecDB.rollback();
+                    return;
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                LedgerDDB.commit();
+                PurOrderDDB.commit();
+                ExecDB.commit();
+
+                LedgerDDB.close(); LedgerDDB = null;
+                PurOrderDDB.close(); PurOrderDDB = null;
+                ExecDB.close(); ExecDB = null;
+            }
+        }
+        #endregion
+
+        #region 変換処理1
+        /// <summary>
+        /// 変換処理1
+        /// </summary>
+        private bool ConvertProc1(IOConstructionLedgerDetail LedgerDDB
+                                    ,IOPurchaseOrderDetail PurOrderDDB)
+        {
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.AppendFormat(" Where GroupCount = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
+                strSQL.Append(" Order by ConstructionCode,LineCount");
+                List<ConstructionLedgerDetail> DetailList = new List<ConstructionLedgerDetail>();
+                LedgerDDB.SelectAction(strSQL.ToString(), ref DetailList, false);
+                if (DetailList.Count < 1) return false;
+                lblCount01.Text = DetailList.Count.ToString("0,0");
+                this.Refresh();
+
+                int nDcnt = 0;
+                int nAllcnt = 0;
+                int nBreakKey = 0;
+                foreach (ConstructionLedgerDetail CurRec in DetailList)
+                {
+                    if (nBreakKey != CurRec.ConstructionCode)
+                    {
+                        nDcnt = 1;
+                        nBreakKey = CurRec.ConstructionCode;
+                    }
+
+                    strSQL.Clear();
+                    strSQL.Append(LedgerDDB.CreatePrimarykeyString(CurRec.ConstructionCode, CurRec.GroupCount, CurRec.LineCount));
+                    if (!LedgerDDB.UpdateFeild(strSQL.ToString()
+                                                , (int)IOConstructionLedgerDetail.TableColumn.DetailCount
+                                                , nDcnt
+                                                , false))
+                    {
+                        MessageBox.Show("工事台帳明細：明細番号更新エラー");
+                        return false;
+                    }
+                    nDcnt++;
+                    nAllcnt++;
+                }
+                lblCount02.Text = nAllcnt.ToString("0,0");
+                this.Refresh();
+
+                strSQL.Clear();
+                strSQL.AppendFormat(" Where GroupCount = {0}", (int)PurchaseOrderDetail.GroupCountDef.Detail);
+                strSQL.Append(" And SourceDetailCnt != 0");
+                strSQL.Append(" Order by ConstructionCode,SeqNo,LineCount");
+
+                List<PurchaseOrderDetail> OrderList = new List<PurchaseOrderDetail>();
+                PurOrderDDB.SelectAction(strSQL.ToString(), ref OrderList, false);
+                if (OrderList.Count < 1) return false;
+
+                int OrederCnt = 0;
+                foreach (PurchaseOrderDetail OrderRec in OrderList)
+                {
+                    strSQL.Clear();
+                    strSQL.Append(LedgerDDB.CreatePrimarykeyString((int)OrderRec.SourceCode
+                                                                    , (int)FrmConstructionLedger.DataGroup.ConstructionCosts
+                                                                    , OrderRec.SourceDetailCnt));
+                    ConstructionLedgerDetail LedgerRec = new ConstructionLedgerDetail();
+                    if (!LedgerDDB.SelectAction(strSQL.ToString(), ref LedgerRec, false)) continue;
+
+                    strSQL.Clear();
+                    strSQL.Append(PurOrderDDB.CreatePrimarykeyString(OrderRec.ConstructionCode, OrderRec.SeqNo, OrderRec.GroupCount, OrderRec.LineCount));
+                    if (!PurOrderDDB.UpdateFeild(strSQL.ToString()
+                                                , (int)IOPurchaseOrderDetail.TableColumn.SourceDetailCnt
+                                                , LedgerRec.DetailCount
+                                                , false))
+                    {
+                        MessageBox.Show("注文書明細：明細番号更新エラー");
+                        return false;
+                    }
+
+                    OrederCnt++;
+                }
+
+                lblCount03.Text = OrederCnt.ToString("0,0");
+                this.Refresh();
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 変換処理2
+        /// <summary>
+        /// 変換処理2
+        /// </summary>
+        private bool ConvertProc2(IOConstructionLedgerExcute ExecDB, IOConstructionLedgerDetail LedgerDDB)
+        {
+            try
+            {
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(" Where ColumnCount > 26");
+                strSQL.Append(" Order by ConstructionCode ASC, ColumnCount DESC");
+                List<ConstructionLedgerExcute> DataList = new List<ConstructionLedgerExcute>();
+                ExecDB.SelectAction(strSQL.ToString(), ref DataList, false);
+                if (DataList.Count < 1) return false;
+
+                int nCnt = 1;
+                foreach (ConstructionLedgerExcute CurRec in DataList)
+                {
+                    strSQL.Clear();
+                    strSQL.Append(ExecDB.CreatePrimarykeyString(CurRec.ConstructionCode, CurRec.GroupCount, CurRec.LineCount, CurRec.ColumnCount));
+                    if (!ExecDB.UpdateFeild(strSQL.ToString()
+                                        , (int)IOConstructionLedgerExcute.TableColumn.ColumnCount
+                                        , (CurRec.ColumnCount + 1)
+                                        , false))
+                    {
+                        MessageBox.Show("注文書実行データ：列位置更新エラー");
+                        return false;
+                    }
+                    nCnt++;
+                }
+
+                lblCount04.Text = nCnt.ToString("0,0");
+                this.Refresh();
+
+                strSQL.Clear();
+                strSQL.Append(" Order By ConstructionCode ASC, LineCount DESC");
+                List<ConstructionLedgerDetail> DList = new List<ConstructionLedgerDetail>();
+                LedgerDDB.SelectAction(strSQL.ToString(), ref DList, false);
+                if (DataList.Count < 1) return false;
+
+                nCnt = 1;
+                foreach (ConstructionLedgerDetail CurRec in DList)
+                {
+                    strSQL.Clear();
+                    strSQL.Append(LedgerDDB.CreatePrimarykeyString(CurRec.ConstructionCode, CurRec.GroupCount, CurRec.LineCount));
+                    if (!LedgerDDB.UpdateFeild(strSQL.ToString()
+                                        , (int)IOConstructionLedgerDetail.TableColumn.LineCount
+                                        , (CurRec.LineCount * 10)
+                                        , false))
+                    {
+                        MessageBox.Show("注文書明細データ：行番号更新エラー");
+                        return false;
+                    }
+                    nCnt++;
+                }
+                lblCount05.Text = nCnt.ToString("0,0");
+                this.Refresh();
+
+
+                strSQL.Clear();
+                strSQL.Append(" Order By ConstructionCode ASC, LineCount DESC");
+                List<ConstructionLedgerExcute> EList = new List<ConstructionLedgerExcute>();
+                ExecDB.SelectAction(strSQL.ToString(), ref EList, false);
+                if (DataList.Count < 1) return false;
+
+                nCnt = 1;
+                foreach (ConstructionLedgerExcute CurRec in EList)
+                {
+                    strSQL.Clear();
+                    strSQL.Append(ExecDB.CreatePrimarykeyString(CurRec.ConstructionCode, CurRec.GroupCount, CurRec.LineCount, CurRec.ColumnCount));
+                    if (!ExecDB.UpdateFeild(strSQL.ToString()
+                                        , (int)IOConstructionLedgerExcute.TableColumn.LineCount
+                                        , (CurRec.LineCount * 10)
+                                        , false))
+                    {
+                        MessageBox.Show("注文書支払データ：行番号更新エラー");
+                        return false;
+                    }
+                    nCnt++;
+                }
+                lblCount06.Text = nCnt.ToString("0,0");
+                this.Refresh();
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+    }
+}
